Skip to main content
GET
/
customers
/
{customerId}
/
transactions
List transactions for a customer
curl --request GET \
  --url https://api.polygon.technology/v0.9/customers/{customerId}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "cashInId": "<string>",
      "cashPickup": {
        "amount": "<string>",
        "asset": "<string>",
        "cashCode": "<string>",
        "expiresAt": "2023-11-07T05:31:56Z",
        "instructions": "<string>",
        "location": {
          "address": "<string>",
          "city": "<string>",
          "coordinates": {
            "latitude": 123,
            "longitude": 123
          },
          "country": "<string>",
          "name": "<string>",
          "provider": "<string>",
          "state": "<string>",
          "zipCode": "<string>"
        },
        "phoneRequired": true
      },
      "completedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "depositAddressId": "<string>",
      "depositInstructions": {
        "address": "<string>",
        "asset": "<string>",
        "exactAmount": "<string>",
        "expiresAt": "2023-11-07T05:31:56Z",
        "network": "<string>"
      },
      "destination": {
        "amountGross": "<string>",
        "amountNet": "<string>",
        "asset": "<string>",
        "bankDetails": {},
        "cash": {
          "locationId": "<string>",
          "locationReference": "<string>"
        },
        "externalAccountId": "<string>",
        "feesDeducted": {
          "developer": "<string>",
          "gas": "<string>",
          "oms": "<string>",
          "total": "<string>"
        },
        "network": "<string>",
        "owner": {
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "state": "<string>",
            "zipCode": "<string>"
          },
          "dateOfBirth": "2023-12-25",
          "email": "<string>",
          "name": "<string>",
          "nationality": "<string>",
          "phone": "<string>",
          "taxId": "<string>"
        },
        "txHash": "<string>",
        "wallet": {
          "blockchainAddress": "<string>",
          "externalAccountId": "<string>",
          "walletId": "<string>"
        }
      },
      "error": {
        "code": "<string>",
        "message": "<string>",
        "occurredAt": "2023-11-07T05:31:56Z",
        "recoverable": true,
        "refund": {
          "amount": "<string>",
          "asset": "<string>",
          "destinationWalletId": "<string>",
          "network": "<string>",
          "txHash": "<string>"
        }
      },
      "estimatedArrival": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "metadata": {},
      "quoteId": "<string>",
      "rail": "<string>",
      "rates": {
        "effectiveRate": "<string>",
        "exchangeRate": "<string>",
        "pair": "<string>"
      },
      "recipientCustomerId": "<string>",
      "senderCustomerId": "<string>",
      "source": {
        "amountGross": "<string>",
        "amountNet": "<string>",
        "asset": "<string>",
        "externalAccountId": "<string>",
        "feesDeducted": {
          "developer": "<string>",
          "gas": "<string>",
          "oms": "<string>",
          "total": "<string>"
        },
        "network": "<string>",
        "owner": {
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "state": "<string>",
            "zipCode": "<string>"
          },
          "dateOfBirth": "2023-12-25",
          "email": "<string>",
          "name": "<string>",
          "nationality": "<string>",
          "phone": "<string>",
          "taxId": "<string>"
        },
        "txHash": "<string>",
        "walletId": "<string>"
      },
      "sponsorGas": true,
      "sponsorGasCost": "<string>",
      "subStatus": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "virtualAccountId": "<string>"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "object": "<string>",
  "previousCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Token from POST /auth/token

Path Parameters

customerId
string
required

Query Parameters

limit
integer<int32>
startingAfter
string
endingBefore
string
status
enum<string>[]
Available options:
processing,
completed,
failed,
cashPickupReady
type
enum<string>
Available options:
cryptoToCrypto,
fiatToCrypto,
cryptoToFiat
createdAfter
string<date-time>
createdBefore
string<date-time>

Free-text search. Matches transaction id, customer id, or customer email.

q
string

Alias for search.

legStatus
string[]

Filters to payments where ANY leg's underlying status is in the given set. See GET /transactions. Grouped read model only.

Response

200 - application/json

The request has succeeded.

data
object[]
hasMore
boolean

True when more rows exist beyond this page in the direction of travel (forward by default, backward when endingBefore was supplied).

nextCursor
string

Opaque cursor pointing at the last item in this page. Present when data is non-empty. Pass as startingAfter to fetch the next page; hasMore=false signals no more pages forward.

object
string
previousCursor
string

Opaque cursor pointing at the first item in this page. Present when data is non-empty. Pass as endingBefore to page backward; when this yields an empty response the client is at the start of the list.